## helma.objectmodel.db
Class SubnodeList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  helma.objectmodel.db.SubnodeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  OrderedSubnodeList

    public class SubnodeList

extends java.util.ArrayList

A subclass of ArrayList that adds an addSorted(Object) method to

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SubnodeList(WrappedNodeManager nmgr, Relation rel)` Creates a new subnode list

Method Summary
`void` `add(int idx, java.lang.Object obj)` Adds the specified object to the list at the given position
`boolean` `add(java.lang.Object obj)` Adds the specified object to this list performing custom ordering
`boolean` `addSorted(java.lang.Object obj)` Inserts the specified element at the specified position in this list without performing custom ordering
`protected void` `addToViews(java.lang.Object obj)`
`SubnodeList` `getOrderedView(java.lang.String order)`
`java.lang.Object` `remove(int idx)` remove the object specified by the given index-position
`boolean` `remove(java.lang.Object obj)` remove the given Object from this List
`protected void` `removeFromViews(java.lang.Object obj)`

Methods inherited from class java.util.ArrayList
`addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SubnodeList

    public SubnodeList(WrappedNodeManager nmgr,
                       Relation rel)

  Creates a new subnode list

  Parameters:
    `nmgr` -

Method Detail

### addSorted

    public boolean addSorted(java.lang.Object obj)

  Inserts the specified element at the specified position in this list without performing custom ordering

  Parameters:
    `obj` - element to be inserted.

### add

    public boolean add(java.lang.Object obj)

  Adds the specified object to this list performing custom ordering

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.ArrayList`
  Parameters:
    `obj` - element to be inserted.

### add

    public void add(int idx,
                    java.lang.Object obj)

  Adds the specified object to the list at the given position

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.ArrayList`
  Parameters:
    `idx` - the index to insert the element at
    `obj` - the object t add

### remove

    public java.lang.Object remove(int idx)

  remove the object specified by the given index-position

  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `java.util.ArrayList`
  Parameters:
    `idx` - the index-position of the NodeHandle to remove

### remove

    public boolean remove(java.lang.Object obj)

  remove the given Object from this List

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `java.util.ArrayList`
  Parameters:
    `obj` - the NodeHandle to remove

### removeFromViews

    protected void removeFromViews(java.lang.Object obj)

### getOrderedView

    public SubnodeList getOrderedView(java.lang.String order)

### addToViews

    protected void addToViews(java.lang.Object obj)

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.